Subject: Feature request: Limit git-status reports to a directory

From: Michel Marti <[email-masked]>
Date: Thu, 25 Oct 2007 00:01:26 +0200

I am sometimes interested in only seeing the status for a specific 
directory (and its sub-directories), but git-status is no help in this 
case - passing a directory does some sort of "git-commit --dry-run". I 
first thought that this is a bug until I saw in the man-page that this 
is actually a feature...

What I would like to have is something like "git status --limit <path>" 
and the reported filenames should then be relative to the current 
directory for easier copy/pasting them to e.g. git-add, git-diff, etc.

Cheers,

- Michel